Summary:	oVirt repository files
Name:		ovirt-release
Version:	10
Release:	2.1
License:	ASL
URL:		http://ovirt.org
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:   tar
BuildRequires: automake autoconf
Epoch: 0

%package fedora
Summary:    oVirt Repository Files for Fedora systems
Group:		System Environment/Base
Requires:	fedora-release
Obsoletes:  ovirt-release <= 0:4-1
Provides:   ovirt-release = %{epoch}:%{version}-%{release}
Requires:   tar

%package el6
Summary:    oVirt Repository Files for EL6 systems
Group:		System Environment/Base
Requires:	/etc/system-release
Requires:   tar

%description
should be nothing...

%description fedora
oVirt repository file required to obtain stable releases, beta,
and nightly versions for Fedora systems.

%description el6
oVirt repository file required to obtain stable releases, beta,
and nightly versions for EL6 based systems.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d 755 $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 fedora-ovirt.repo $RPM_BUILD_ROOT/etc/yum.repos.d/ovirt.repo
install -m 644 fedora-virt-preview.repo $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-virt-preview.repo
install -m 644 el6-ovirt.repo $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 glusterfs-epel.repo $RPM_BUILD_ROOT/etc/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files fedora
%defattr(-,root,root,-)
%doc ASL
%config(noreplace) /etc/yum.repos.d/ovirt.repo
%config(noreplace) /etc/yum.repos.d/fedora-virt-preview.repo

%files el6
%defattr(-,root,root,-)
%doc ASL
%config(noreplace) /etc/yum.repos.d/el6-ovirt.repo
%config(noreplace) /etc/yum.repos.d/glusterfs-epel.repo

%changelog
* Thu Dec 19 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 10-1
- new ovirt-3.3.2 repository, Releasing oVirt 3.3.2
- ovirt-stable repository now provides Older Stable builds.
- ovirt-updates-testing provides Test Updates builds
- removed ovirt-alpha, obsolete and no longer used in oVirt >= 3.3.0.

* Thu Nov 28 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 9-1
- change glusterfs-epel to use LATEST branch

* Thu Aug 22 2013 Mike Burns <mburns@redhat.com> - 8-1
- Add glusterfs-epel repo to el6 package

* Wed Jun 26 2013 Mike Burns <mburns@redhat.com> - 7-1
- Add Fedora virt-preview repo for Fedora builds

* Tue May 07 2013 Mike Burns <mburns@redhat.com> - 6-1
- Add updates-testing repository

* Thu Jun 14 2012 Mike Burns <mburns@redhat.com> - 2-1
- Add Beta repo
- convert to automake/autoconf build system.

* Mon Mar 19 2012 Stephen Gordon <sgordon@redhat.com> - 1-2
- Removed SRPM repositories as they do not exist.
* Thu Nov 24 2011 Stephen Gordon <sgordon@redhat.com> - 1-1
- Initial creation.
